<div class="searchBoxGrid">
    <div class="md-form">
      <span class="cursorPointer" *ngIf="searchText" (click)="clearSearchedText()"><i class="fa fa-times clear"></i></span>
      <span class="guide" matTooltip="Searched {{searchedInfoValue ? searchedInfoValue : 'all'}}" matTooltipPosition="left" *ngIf="searchText && showInfoIcon"><i class="fa fa-info-circle prefix" aria-hidden="true"></i></span>
      <span *ngIf="!searchText || showSearchIcon"><i class="fa fa-search"></i></span>
      <input type="text" class="form-control searckBox" name="searchForAsset" (ngModelChange)="searchForSelectedText($event)" [(ngModel)]="searchText"
             placeholder={{placeholderValue}}>
    </div>
</div>

